"use strict";

var _path = _interopRequireDefault(require("path"));
var _package = _interopRequireDefault(require("../package.json"));
var _env = require("./env");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * The default configuration:
 *
 *  {
 *      app: {
 *          name: {String},             // The name of the generator tool
 *          version: {String}           // The version of the generator tool
 *      },
 *      configFileName: {String},       // The name of the config file '.rest-tool.yml',
 *      logLevel: {String},             // The log level: (info | warn | error | debug)
 */
module.exports = {
  app: {
    name: _package.default.name,
    version: _package.default.version
  },
  configFileName: 'config.yml',
  useWebsocket: (0, _env.getBoolEnv)('EASER_USE_WEBSOCKET', false),
  webServer: {},
  logger: {
    level: process.env.EASER_LOG_LEVEL || 'info',
    transports: {
      console: {
        format: process.env.EASER_LOG_FORMAT || 'plainText' // 'plainText' or 'json'
      }
    }
  },

  installDir: _path.default.resolve('./')
};