"use strict";

var _chai = require("chai");
var _config = _interopRequireDefault(require("./config"));
var _path = _interopRequireDefault(require("path"));
var _package = _interopRequireDefault(require("../package.json"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
before(done => {
  done();
});
after(done => {
  done();
});
describe('config', () => {
  it('defaults', done => {
    const expected = {
      app: {
        name: _package.default.name,
        version: _package.default.version
      },
      configFileName: 'config.yml',
      useWebsocket: false,
      webServer: {
        /*
        ignoreApiOperationIds: true, // Ignore operationIds by default
        bodyParser: {
            raw: true,
            json: false,
            xml: false,
            urlencoded: false
        }
        */
      },
      logger: {
        level: 'info',
        transports: {
          console: {
            format: 'plainText'
          }
        }
      },
      installDir: _path.default.resolve('./')
    };
    const defaults = _config.default;
    (0, _chai.expect)(defaults).to.eql(expected);
    done();
  });
});