"use strict";

var _chai = require("chai");
var _env = require("./env");
before(done => {
  done();
});
after(done => {
  done();
});
describe('env', () => {
  it('getBoolEnv', done => {
    delete process.env.TEST;
    (0, _chai.expect)((0, _env.getBoolEnv)('TEST', false)).to.equal(false);
    (0, _chai.expect)(typeof (0, _env.getBoolEnv)('TEST', false)).to.equal('boolean');
    (0, _chai.expect)((0, _env.getBoolEnv)('TEST', true)).to.equal(true);
    (0, _chai.expect)(typeof (0, _env.getBoolEnv)('TEST', true)).to.equal('boolean');
    process.env.TEST = '';
    (0, _chai.expect)((0, _env.getBoolEnv)('TEST', false)).to.equal(false);
    (0, _chai.expect)(typeof (0, _env.getBoolEnv)('TEST', false)).to.equal('boolean');
    (0, _chai.expect)((0, _env.getBoolEnv)('TEST', true)).to.equal(false);
    (0, _chai.expect)(typeof (0, _env.getBoolEnv)('TEST', true)).to.equal('boolean');
    process.env.TEST = 'x42';
    (0, _chai.expect)((0, _env.getBoolEnv)('TEST', false)).to.equal(false);
    (0, _chai.expect)(typeof (0, _env.getBoolEnv)('TEST', false)).to.equal('boolean');
    (0, _chai.expect)((0, _env.getBoolEnv)('TEST', true)).to.equal(false);
    (0, _chai.expect)(typeof (0, _env.getBoolEnv)('TEST', true)).to.equal('boolean');
    process.env.TEST = 'false';
    (0, _chai.expect)((0, _env.getBoolEnv)('TEST', false)).to.equal(false);
    (0, _chai.expect)(typeof (0, _env.getBoolEnv)('TEST', false)).to.equal('boolean');
    process.env.TEST = 'true';
    (0, _chai.expect)((0, _env.getBoolEnv)('TEST', false)).to.equal(true);
    (0, _chai.expect)(typeof (0, _env.getBoolEnv)('TEST', false)).to.equal('boolean');
    process.env.TEST = 'false';
    (0, _chai.expect)((0, _env.getBoolEnv)('TEST', false)).to.equal(false);
    (0, _chai.expect)(typeof (0, _env.getBoolEnv)('TEST', false)).to.equal('boolean');
    (0, _chai.expect)((0, _env.getBoolEnv)('TEST', true)).to.equal(false);
    (0, _chai.expect)(typeof (0, _env.getBoolEnv)('TEST', true)).to.equal('boolean');
    done();
  });
  it('getIntEnv', done => {
    delete process.env.TEST;
    (0, _chai.expect)((0, _env.getIntEnv)('TEST', 42)).to.equal(42);
    (0, _chai.expect)(typeof (0, _env.getIntEnv)('TEST', 42)).to.equal('number');
    (0, _chai.expect)((0, _env.getIntEnv)('TEST', '42')).to.equal(42);
    (0, _chai.expect)(typeof (0, _env.getIntEnv)('TEST', '42')).to.equal('number');
    process.env.TEST = '';
    (0, _chai.expect)((0, _env.getIntEnv)('TEST', 42)).to.equal(0);
    (0, _chai.expect)(typeof (0, _env.getIntEnv)('TEST', 42)).to.equal('number');
    (0, _chai.expect)((0, _env.getIntEnv)('TEST', '42')).to.equal(0);
    (0, _chai.expect)(typeof (0, _env.getIntEnv)('TEST', '42')).to.equal('number');
    process.env.TEST = '24';
    (0, _chai.expect)((0, _env.getIntEnv)('TEST', 42)).to.equal(24);
    (0, _chai.expect)(typeof (0, _env.getIntEnv)('TEST', 42)).to.equal('number');
    (0, _chai.expect)((0, _env.getIntEnv)('TEST', '42')).to.equal(24);
    (0, _chai.expect)(typeof (0, _env.getIntEnv)('TEST', '42')).to.equal('number');
    process.env.TEST = 'xy24';
    (0, _chai.expect)((0, _env.getIntEnv)('TEST', 42)).to.equal(0);
    (0, _chai.expect)(typeof (0, _env.getIntEnv)('TEST', 42)).to.equal('number');
    (0, _chai.expect)((0, _env.getIntEnv)('TEST', '42')).to.equal(0);
    (0, _chai.expect)(typeof (0, _env.getIntEnv)('TEST', '42')).to.equal('number');
    done();
  });
});